import { EventEmitter, OnDestroy, OnInit, ChangeDetectorRef } from '@angular/core';
import { Addon } from '@vendasta/core/shared';
import { Pricing } from '../pricing/pricing';
import { BillingService, BilledProduct } from '@vendasta/billing';
export declare class VaAddonListComponent implements OnDestroy, OnInit {
    private billingService;
    private cdr;
    _addons: Addon[];
    set addons(addons: Addon[]);
    showPricing: boolean;
    partnerID: string;
    _hasVerifiedContract: boolean;
    set hasVerifiedContract(value: boolean);
    _canAccessContractPricing: boolean;
    set canAccessContractPricing(value: boolean);
    addonSelected: EventEmitter<String>;
    billedProductsMap: Map<string, BilledProduct>;
    private billedProductLoaded;
    private subscriptions;
    constructor(billingService: BillingService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    populateBilledProduct(): void;
    onClick(addonId: String): void;
    instanceOfPricing(object: any): boolean;
    getDisplayPricing(addon: Addon): Pricing;
    noData(): boolean;
    displayContractPricing(): boolean;
    isBilledProductLoaded(addon: Addon): boolean;
    ngOnDestroy(): void;
}
